Bug 5878 - Process models: Only "single" allowed
Process models: Only "single" allowed
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x64 Windows XP
: P3 critical
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 15:16 UTC by Adrian
Modified: 2008-12-09 07:00 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian 2008-11-06 15:16:12 UTC
Attempting to run with any other process model results in the error:

 The following error occurred attempting to join the domain "blah.com":
 An internal error occurred.

On the winxp client, and the errors:

[Thu Nov  6 16:12:02 2008 EST, 0 rpc_server/dcerpc_server.c:1327:dcesrv_init_context()]
dcesrv_init_context: failed to find endpoint server = 'epmapper'
[Thu Nov  6 16:12:02 2008 EST, 0 smb_server/smb/service.c:104:make_connection_scfg()]
make_connection: NTVFS make connection failed!
[Thu Nov  6 16:12:03 2008 EST, 0 rpc_server/dcerpc_server.c:1327:dcesrv_init_context()]
dcesrv_init_context: failed to find endpoint server = 'epmapper'
[Thu Nov  6 16:12:03 2008 EST, 0 smb_server/smb/service.c:104:make_connection_scfg()]
make_connection: NTVFS make connection failed!

In the samba log.
Comment 1 Matthieu Patou 2008-12-02 13:49:43 UTC
I am running 37f4c70 and got also the problem in 32bit mode, and you will face the same problem trying to change a password on a linux server with kpasswd.

Comment 2 Stefan Metzmacher 2008-12-09 07:00:52 UTC
Should be fixed with 03dba698a01e5562bf961a8948fb6e5b2d61fa40 in master.

Please open a new bug for the kpasswd problem when it still exist.